=== debian/changelog ===
opm-common (2023.04+ds-5ubuntu1) mantic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Reduce optimization on ppc64el to fix a test failure.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 27 Aug 2023 17:09:01 +0200

opm-common (2023.04+ds-5) unstable; urgency=medium

  * Fix/complete scale_factor patch to actually fix build on mips64el

 -- Markus Blatt <markus@dr-blatt.de>  Sat, 19 Aug 2023 20:58:11 +0200

opm-common (2023.04+ds-4) unstable; urgency=medium

  * [fix] Pevent undefined behavior of ESMry scale factors for values <=0.

 -- Markus Blatt <markus@dr-blatt.de>  Fri, 18 Aug 2023 18:24:21 +0200

opm-common (2023.04+ds-3) unstable; urgency=medium

  * d/control: Added missing dependency on libdune-common-dev
  * Make CMake fail on non-64bit systems.

 -- Markus Blatt <markus@dr-blatt.de>  Tue, 15 Aug 2023 11:28:34 +0200

opm-common (2023.04+ds-2ubuntu1) mantic; urgency=medium

  * Reduce optimization on ppc64el

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 04 Aug 2023 08:33:40 +0200

opm-common (2023.04+ds-2) unstable; urgency=medium

  * d/control: Correctly reflect the merge of opm-material into opm-common
  * d/libopm-common-bin.install: Added co2brinepvt program.

 -- Markus Blatt <markus@dr-blatt.de>  Mon, 17 Jul 2023 15:05:05 +0200

opm-common (2023.04+ds-1) unstable; urgency=medium

  * New upstream release 2023.04
  * d/tests: Limit architectures for tests.
  * Fixed segmentation fault in PYACTION on bookworm and sid
  * Skip rpath for python lib.
  * Also install co2brinepvt as we install the manpage.
  * Added missing include of cstdint for GCC13
      (Closes: #1037807)
  * [bugfix] Use numComponents when accessing K_/moleFractions_ in PTFlash.

 -- Markus Blatt <markus@dr-blatt.de>  Fri, 14 Jul 2023 15:46:22 +0200
