## opm-common 2023.10+ds

=== debian/changelog ===
opm-common (2023.10+ds-3) unstable; urgency=medium

  * Restrict tabulation tests to double to prevent FTBFS on arm64/ppc64el.

 -- Markus Blatt <markus@dr-blatt.de>  Mon, 11 Mar 2024 17:03:06 +0100

opm-common (2023.10+ds-2) unstable; urgency=medium

  * Team upload.
  * Drop python3-distutils from Build-Depends
  * debhelper-compat 13 (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Build-Depends: pkg-config => pkgconf
  * Uploading to unstable since it
    Closes: #1061426
  * LoongArch support was added in 2023.10~rc2+ds-1
    Closes: #1059203

 -- Andreas Tille <tille@debian.org>  Sat, 17 Feb 2024 19:40:00 +0100

opm-common (2023.10+ds-1) experimental; urgency=medium

  * New upstream release 2023.10
  * d/copyright: Updated copyright

 -- Markus Blatt <markus@dr-blatt.de>  Sun, 12 Nov 2023 15:06:05 +0100

opm-common (2023.10~rc2+ds-1) experimental; urgency=medium

  [Markus Blatt]
  * Dropped patches applied to upstream
  * New upstream release candidate 2023.10-rc2

  [Dandan Zhang]
  * Add support for LoongArch

 -- Markus Blatt <markus@dr-blatt.de>  Mon, 30 Oct 2023 19:48:27 +0100

opm-common (2023.10~rc1+ds-1) experimental; urgency=medium

  * dch: snapshot release
  * Dropped patches applied to upstream.
  * Remove non-existent pkgconfig dir from libopm-common-dev.install
  * Release candidate 2023.10-rc1
  * d/watch: Also search for release candidated

 -- Markus Blatt <markus@dr-blatt.de>  Tue, 17 Oct 2023 19:18:10 +0200
