=== debian/tests/control ===
Tests: basic
Depends:
  libdune-common-dev,
  libopm-common-dev (>= 2022.10),
  build-essential,
  mpi-default-bin, mpi-default-dev,
  libboost-test-dev
Restrictions: allow-stderr, skip-not-installable
Architecture: amd64 arm64 armel ia64 m68k mips64el mipsel ppc64el riscv64
