## opm-common 2024.04~rc1+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
+cmake_minimum_required (VERSION 3.10)
 project(opm-common C CXX)
-cmake_minimum_required (VERSION 3.10)
 
 option(SIBLING_SEARCH "Search for other modules in sibling directories?" ON)
 list(APPEND CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/cmake/Modules)
@@ -72,18 +72,14 @@
   # OpmSatellites will not add the library, do it here.
   list(APPEND opm-common_LIBRARIES fmt::fmt)
 else()
-  add_definitions(-DFMT_HEADER_ONLY)
-  include_directories(SYSTEM ${PROJECT_SOURCE_DIR}/external/fmtlib/include)
-  # Not sure why this is needed.
-  list(APPEND EXTRA_INCLUDES ${PROJECT_SOURCE_DIR}/external/fmtlib/include)
+  include(DownloadFmt)
 endif()
 
 if(OPM_ENABLE_EMBEDDED_PYTHON AND NOT OPM_ENABLE_PYTHON)
   # This needs to be here to run before source_hook
   message(WARNING "Inconsistent settings: OPM_ENABLE_PYTHON=OFF and "
-    "OPM_ENABLE_EMBEDDED_PYTHON=ON. Please use OPM_ENABLE_PYTHON=ON to "
-    "activate. Will disable embedded python in this run.")
-  set(OPM_ENABLE_EMBEDDED_PYTHON OFF CACHE BOOL "Enable embedded python?" FORCE)
+    "OPM_ENABLE_EMBEDDED_PYTHON=ON. OPM_ENABLE_EMBEDDED_PYTHON=ON now implies OPM_ENABLE_PYTHON=ON.")
+  set(OPM_ENABLE_PYTHON ON CACHE BOOL "Enable python bindings?" FORCE)
 endif()
 # read the list of components from this file (in the project directory);
 # it should set various lists with the names of the files to include
@@ -91,10 +87,6 @@
 
 macro (config_hook)
   if(ENABLE_ECL_INPUT)
-    if(NOT cjson_FOUND)
-      list(APPEND EXTRA_INCLUDES ${PROJECT_SOURCE_DIR}/external/cjson)
-    endif()
-
     # For this project
     include_directories(${EXTRA_INCLUDES} ${PROJECT_BINARY_DIR}/include)
     # For downstreams
@@ -133,6 +125,12 @@
 endmacro (prereqs_hook)
 
 macro (sources_hook)
+  if(NOT cjson_FOUND)
+    include(DownloadCjson)
+    include_directories(${cjson_SOURCE_DIR})
+    list(APPEND opm-common_SOURCES ${cjson_SOURCE_DIR}/cJSON.c)
+  endif()
+
   if(ENABLE_ECL_INPUT)
     # Keyword generation
     include(GenerateKeywords.cmake)
@@ -154,8 +152,8 @@
   if(QuadMath_FOUND)
     get_target_property(qm_defs QuadMath::QuadMath INTERFACE_COMPILE_DEFINITIONS)
     get_target_property(qm_options QuadMath::QuadMath INTERFACE_COMPILE_OPTIONS)
-    set_source_files_properties(src/opm/material/components/CO2.cpp
-                                src/opm/material/densead/Evaluation.cpp
+    set_source_files_properties(opm/material/components/CO2.cpp
+                                opm/material/densead/Evaluation.cpp
                                 PROPERTIES COMPILE_DEFINITIONS "${qm_defs}"
                                 COMPILE_OPTIONS "${qm_options}")
   endif()
@@ -261,3 +259,7 @@
     execute_process(COMMAND "${PYTHON_EXECUTABLE}" "-c" "from distutils import sysconfig; print(sysconfig.get_python_inc(plat_specific=True), end=\"\");"
       RESULT_VARIABLE _PYTHON_DIR_SUCCESS
       OUTPUT_VARIABLE PYTHON_INCLUDE_DIR
+      ERROR_VARIABLE _PYTHON_ERROR_VALUE)
+    if(NOT _PYTHON_DIR_SUCCESS MATCHES 0)
+      message(FATAL_ERROR "Could not determine Python include directory. Error: ${_PYTHON_ERROR_VALUE}.")
+    endif()
