## opm-common 2024.04+ds

=== debian/changelog ===
opm-common (2024.04+ds-2) unstable; urgency=medium

  * fix build with g++-14 by backporting upstream patches.
    (Closes: #1075348)

 -- Markus Blatt <markus@dr-blatt.de>  Tue, 09 Jul 2024 21:31:42 +0200

opm-common (2024.04+ds-1) unstable; urgency=medium

  * New upstream version 2024.04

 -- Markus Blatt <markus@dr-blatt.de>  Wed, 08 May 2024 21:18:38 +0200

opm-common (2024.04~rc2+ds-2) unstable; urgency=medium

  * Prevent pybind11 from stripping debug symbols
  * d/rules: correctly determine lsb release
  * Install new binary hysteresis.
  * Strip +% (e.g. +ds) from version used for library
  * New upstream release candidate 2024.04~rc2 supporting Python 3.12

 -- Markus Blatt <markus@dr-blatt.de>  Tue, 07 May 2024 18:42:42 +0200

opm-common (2024.04~rc2+ds-1) experimental; urgency=medium

  * Prevent pybind11 from stripping debug symbols
  * d/rules: correctly determine lsb release
  * New upstream release candidate 2024.04~rc2

 -- Markus Blatt <markus@dr-blatt.de>  Mon, 06 May 2024 17:43:57 +0200

opm-common (2024.04~rc1+ds-1) experimental; urgency=medium

  * New upstream release candidate 2024.04~rc1
  * Also use SKIP_BUILD_RPATH for new opm_embedded library.
  * Install new binary hysteresis.

 -- Markus Blatt <markus@dr-blatt.de>  Fri, 19 Apr 2024 19:41:02 +0200
