## opm-common 2024.10+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -119,6 +119,12 @@
     endif()
   endif()
 
+  include(CheckIncludeFile)
+  check_include_file(fnmatch.h FNMATCH_H_FOUND)
+  if (FNMATCH_H_FOUND)
+    set(HAVE_FNMATCH_H 1)
+  endif()
+
 endmacro (config_hook)
 
 macro (prereqs_hook)
@@ -149,15 +155,30 @@
   endif()
   set_source_files_properties(src/opm/input/eclipse/Python/Python.cpp
                               PROPERTIES COMPILE_FLAGS -Wno-shadow)
+  if (OPM_ENABLE_PYTHON)
+    # Set the path to the input docstrings.json file and the output .hpp file
+    set(PYTHON_DOCSTRINGS_FILE "${PROJECT_SOURCE_DIR}/python/docstrings_common.json")
+    set(PYTHON_DOCSTRINGS_GENERATED_HPP "${PROJECT_BINARY_DIR}/python/cxx/OpmCommonPythonDoc.hpp")
+    # Command to run the Python script
+    add_custom_command(
+        OUTPUT ${PYTHON_DOCSTRINGS_GENERATED_HPP}
+        COMMAND ${PYTHON_EXECUTABLE} ${PROJECT_SOURCE_DIR}/python/generate_docstring_hpp.py
+                ${PYTHON_DOCSTRINGS_FILE} ${PYTHON_DOCSTRINGS_GENERATED_HPP} OPMCOMMONPYTHONDOC_HPP "Opm::Common::DocStrings"
+        DEPENDS ${PYTHON_DOCSTRINGS_FILE}
+        COMMENT "Generating OpmCommonPythonDoc.hpp from JSON file"
+    )
+    list(INSERT opm-common_SOURCES 0 ${PYTHON_DOCSTRINGS_GENERATED_HPP})
+  endif()
+
   if(QuadMath_FOUND)
     get_target_property(qm_defs QuadMath::QuadMath INTERFACE_COMPILE_DEFINITIONS)
+    list(APPEND qm_defs HAVE_QUAD=1)
     get_target_property(qm_options QuadMath::QuadMath INTERFACE_COMPILE_OPTIONS)
     set_source_files_properties(opm/material/components/CO2.cpp
                                 opm/material/densead/Evaluation.cpp
                                 PROPERTIES COMPILE_DEFINITIONS "${qm_defs}"
                                 COMPILE_OPTIONS "${qm_options}")
   endif()
-
 endmacro (sources_hook)
 
 macro (fortran_hook)
@@ -246,20 +267,3 @@
     include (GNUInstallDirs)
     set(OPM_PYTHON_COMMON_DIR "${CMAKE_INSTALL_DATAROOTDIR}/opm/python")
     set(OPM_PROJECT_EXTRA_CODE_INTREE "${OPM_PROJECT_EXTRA_CODE_INTREE}
-                                       set(opm-common_PYTHON_COMMON_DIR ${PROJECT_SOURCE_DIR}/python)")
-    set(OPM_PROJECT_EXTRA_CODE_INSTALLED "${OPM_PROJECT_EXTRA_CODE_INSTALLED}
-                                         set(opm-common_PYTHON_COMMON_DIR ${CMAKE_INSTALL_PREFIX}/${OPM_PYTHON_COMMON_DIR})")
-  endif()
-  # We always need the PYTHON_INCLUDE_DIR. Unfortunately
-  # When we build pypi packages CMake will fail to determine
-  # these via the usual find_package(PythonLibs or
-  # find_package(Python3 REQUIRED COMPONENTS Interpreter Development)
-  # Hence we overwrite them here.
-  if(NOT PYTHON_INCLUDE_DIRS)
-    execute_process(COMMAND "${PYTHON_EXECUTABLE}" "-c" "from distutils import sysconfig; print(sysconfig.get_python_inc(plat_specific=True), end=\"\");"
-      RESULT_VARIABLE _PYTHON_DIR_SUCCESS
-      OUTPUT_VARIABLE PYTHON_INCLUDE_DIR
-      ERROR_VARIABLE _PYTHON_ERROR_VALUE)
-    if(NOT _PYTHON_DIR_SUCCESS MATCHES 0)
-      message(FATAL_ERROR "Could not determine Python include directory. Error: ${_PYTHON_ERROR_VALUE}.")
-    endif()
