=== debian/changelog ===
opm-common (2024.10+ds-4) unstable; urgency=medium

  * Also backported "Abide by FMT-v11 Format String Requirements" patch
    from upstream's master (Closes: #1092847)

 -- Markus Blatt <markus@dr-blatt.de>  Tue, 11 Feb 2025 22:52:55 +0100

opm-common (2024.10+ds-3) unstable; urgency=medium

  * Backported fmt11 fixes from upstream's master (Closes: #1092847)
  * Use numpy.sum instead of sum to fix failing test with Python 3.12
    (Closes: #1095362)

 -- Markus Blatt <markus@dr-blatt.de>  Sun, 09 Feb 2025 19:18:56 +0100

opm-common (2024.10+ds-2) unstable; urgency=medium

  * d/patches: Fixed handling of CMake Bool in config.h
  * d/patches: Use uppercase for components in FindSuiteSparse as in DUNE
       (Fixes autopkgtests in downstream OPM packages)

 -- Markus Blatt <markus@dr-blatt.de>  Sun, 17 Nov 2024 14:50:03 +0100

opm-common (2024.10+ds-1) unstable; urgency=medium

  * New upstream release 2024.10
  * Rediff patches
  * d/control: Bumped standards version to 4.7.0 (no-change)
  * d/control: Depend on OPM 2024.10
  * Fix Python usage in msim and its tests.
  * d/patches Preparing to support DUNE 2.10
  * Update changelog for 2024.10+ds-1~2.gbpede03f release
  * d/copyright: Updated and corrected copyright
  * d/patches: Backported corrections in copright declarations from upstream
  * d/control: Temporarily require DUNE 2.10 to ease migrations

 -- Markus Blatt <markus@dr-blatt.de>  Fri, 15 Nov 2024 14:53:12 +0100
