=== debian/control ===
--- 
+++ 
@@ -32,9 +32,9 @@
                python3-setuptools-scm,
                python3-pytest-runner,
                python3-decorator,
-               libdune-common-dev,
+               libdune-common-dev (>= 2.10.0~),
                pybind11-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/science-team/opm-common
 Vcs-Git: https://salsa.debian.org/science-team/opm-common.git
 Homepage: https://opm-project.org
@@ -79,7 +79,7 @@
 Package: libopm-material-dev
 Architecture: all
 Section: oldlibs
-Depends: libopm-common-dev (>= 2023.04~),
+Depends: libopm-common-dev (>= 2024.10~),
          ${misc:Depends}
 Description: transitional package
  This is a transitional package. It can safely be removed.
