## opm-common 2025.04~rc3+ds

=== debian/changelog ===
opm-common (2025.04~rc3+ds-2) experimental; urgency=medium

  * d/patches: Use correct flags to compile pybind11 module

 -- Markus Blatt <markus@dr-blatt.de>  Tue, 29 Apr 2025 13:40:04 +0200

opm-common (2025.04~rc3+ds-1) experimental; urgency=medium

  * New upstream release candidate 2025.04~rc3
  * d/pacthes: Search for OpenMP if we are a DUNE module

 -- Markus Blatt <markus@dr-blatt.de>  Mon, 28 Apr 2025 16:36:58 +0200

opm-common (2025.04~rc2+ds-1) experimental; urgency=medium

  * New upstream release candidate 2025.04~rc2
  * Rediff patches

 -- Markus Blatt <markus@dr-blatt.de>  Tue, 15 Apr 2025 12:42:59 +0200

opm-common (2025.04~git20250402.bdf25c57c+ds-1~exp1) experimental; urgency=medium

  * Prelease version based on bdf25c57c
  * Dropped patches applied upstream, rediffed the others.
  * d/copyright: Fixed missing copyright line
  * d/control: Bumped standards veriosn to 4.7.2 (no change)

 -- Markus Blatt <markus@dr-blatt.de>  Thu, 03 Apr 2025 12:22:52 +0200

opm-common (2024.10+ds-5) unstable; urgency=medium

  * d/control: Bumped standards version to 4.7.2 (no change)
  * d/copyright: Fix lintian warnings

 -- Markus Blatt <markus@dr-blatt.de>  Fri, 04 Apr 2025 17:35:09 +0200
