## opm-common 2025.04+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,6 +11,7 @@
 option(OPM_ENABLE_PYTHON "Enable python bindings?" OFF)
 option(OPM_INSTALL_PYTHON "Install python bindings?" ON)
 option(OPM_ENABLE_EMBEDDED_PYTHON "Enable embedded python?" OFF)
+option(OPM_ENABLE_DUNE "Enable code requiring dune-common?" ON)
 
 # Output implies input
 if(ENABLE_ECL_OUTPUT)
@@ -125,6 +126,10 @@
     set(HAVE_FNMATCH_H 1)
   endif()
 
+  if(OPM_ENABLE_DUNE)
+    find_package(dune-common REQUIRED)
+    opm_need_version_of ("dune-common")
+  endif()
 endmacro (config_hook)
 
 macro (prereqs_hook)
@@ -190,6 +195,9 @@
 macro (tests_hook)
   if(ENABLE_ECL_INPUT)
     include(ExtraTests.cmake)
+  endif()
+  if (dune-common_FOUND)
+    list(APPEND tests_SOURCES ${DUNE_TEST_SOURCE_FILES})
   endif()
 endmacro (tests_hook)
 
@@ -263,7 +271,3 @@
     # Compatibility settings for PythonInterp and PythonLibs
     # used e.g. in FindCwrap, pybind11
     set(PYTHON_EXECUTABLE ${Python3_EXECUTABLE})
-    # Directory to install common (for opm modules) python scripts
-    include (GNUInstallDirs)
-    set(OPM_PYTHON_COMMON_DIR "${CMAKE_INSTALL_DATAROOTDIR}/opm/python")
-    set(OPM_PROJECT_EXTRA_CODE_INTREE "${OPM_PROJECT_EXTRA_CODE_INTREE}
