=== debian/changelog ===
opm-common (2025.04+ds-5) unstable; urgency=medium

  * Test for std::atan not atan with __float128 from quadmath

 -- Markus Blatt <markus@dr-blatt.de>  Thu, 18 Sep 2025 11:51:09 +0200

opm-common (2025.04+ds-4) unstable; urgency=medium

  * Skip defining math functions for __float128 if they already exist

 -- Markus Blatt <markus@dr-blatt.de>  Thu, 18 Sep 2025 09:28:33 +0200

opm-common (2025.04+ds-3) unstable; urgency=medium

  * Deactivate further overloads if __float128 is long double

 -- Markus Blatt <markus@dr-blatt.de>  Wed, 17 Sep 2025 23:52:57 +0200

opm-common (2025.04+ds-2) unstable; urgency=medium

  * Fix quadmath problems on ppc64el with IEEE long double (Closes: #1114005)

 -- Markus Blatt <markus@dr-blatt.de>  Tue, 16 Sep 2025 15:04:47 +0200

opm-common (2025.04+ds-1) sid; urgency=medium

  * New upstream release 2025.04
  * d/copyright: Fixed missing copyright line
  * d/control: Bumped standards veriosn to 4.7.2 (no change)
  * Rediff patches
  * d/patches: Use correct flags to compile pybind11 module
  * d/pacthes: Search for OpenMP if we are a DUNE module
  * Dropped patches applied upstream, rediffed the others.
  * d/copyright: Fixed missing copyright line
  * d/control: Bumped standards veriosn to 4.7.2 (no change)

 -- Markus Blatt <markus@dr-blatt.de>  Sun, 10 Aug 2025 15:15:23 +0200

opm-common (2025.04~rc3+ds-2) sid; urgency=medium

  * d/patches: Use correct flags to compile pybind11 module

 -- Markus Blatt <markus@dr-blatt.de>  Sun, 10 Aug 2025 14:35:37 +0200
