=== debian/changelog ===
opm-common (2025.10~git20251006.b6424374e+ds-1) experimental; urgency=medium

  * Prerelease version based on commit b6424374e. 
  * Rediff patches and drop patches applied to upstream

 -- Markus Blatt <markus@dr-blatt.de>  Thu, 09 Oct 2025 20:46:58 +0200
