## opm-common 2025.10%2Bds

=== debian/changelog ===
opm-common (2025.10+ds-2) unstable; urgency=medium

  * d/patches: Reintroduce OpenMP patch to fix autopkgtests

 -- Markus Blatt <markus@dr-blatt.de>  Mon, 27 Oct 2025 10:28:46 +0100

opm-common (2025.10+ds-1) unstable; urgency=medium

  * New upstream release 2025.10+ds
  * Rediff patches and drop patches applied to upstream

 -- Markus Blatt <markus@dr-blatt.de>  Fri, 24 Oct 2025 13:44:17 +0200
