=== python/requirements.txt ===
six
future
decorator
numpy
