=== python/opm/ml/ml_tools/requirements.txt ===
################################################################
# Python v.3.9.0 and above
python>=3.9.0<=3.12.0

################################################################
# Numpy 1.23.0 and above
numpy>=1.23.0

################################################################
# TensorFlow v.2.1 and above include both CPU and GPU versions.
tensorflow>=2.1.0

################################################################
# Keras v.2.12.0 and above
keras>=2.12.0

################################################################
