=== debian/control ===
--- 
+++ 
@@ -34,7 +34,7 @@
                python3-decorator,
                libdune-common-dev (>= 2.10.0~),
                pybind11-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/science-team/opm-common
 Vcs-Git: https://salsa.debian.org/science-team/opm-common.git
 Homepage: https://opm-project.org
